> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all deals

> Get all deals in an account sorted by their created date, with the most recently created deals first. Use the offset parameter returned in a response to get the next set of deals. Note: This endpoint will only return records created in the last 30 days, or the 10k most recently created records. If you need to get all of your deals, please use this endpoint.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['crm.objects.deals.read', 'crm.objects.deals.write']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-deals-v1.json GET /deals/v1/deal/paged
openapi: 3.0.0
info:
  title: CRM Deals API v1
  version: 1.0.0
  description: >-
    Use the deals API to create and manage CRM records that represent
    transactions with contacts and/or companies. Deals progress through pipeline
    stages to reflect whether the transaction has been completed, is active, or
    has otherwise been lost.
  x-hubspot-introduction: >-
    Use the deals API to create and manage CRM records that represent
    transactions with contacts and/or companies. Deals progress through pipeline
    stages to reflect whether the transaction has been completed, is active, or
    has otherwise been lost.
  x-hubspot-api-use-case: >-
    When a sales rep is negotiating a potential purchase with a prospective
    customer, create a deal record to track the negotiation process. When the
    customer later makes their purchase, you can update the deal to a closed
    stage.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /deals/v1/deal/paged:
    get:
      summary: Get all deals
      description: >-
        Get all deals in an account sorted by their created date, with the most
        recently created deals first. Use the offset parameter returned in a
        response to get the next set of deals. Note: This endpoint will only
        return records created in the last 30 days, or the 10k most recently
        created records. If you need to get all of your deals, please use this
        endpoint.
      operationId: getdealsv1dealpaged
      parameters:
        - name: limit
          in: query
          required: false
          description: >-
            The number of records to return. Defaults to 100, has a maximum
            value of 250.
          schema:
            type: integer
            maximum: 250
        - name: offset
          in: query
          required: false
          description: >-
            Used to page through the results. If there are more records in your
            account than the limit= parameter, you will need to use the offset
            returned in the first request to get the next set of results.
          schema:
            type: integer
        - name: properties
          in: query
          required: false
          description: >-
            Used to include specific deal properties in the results. By default,
            the results will only include Deal ID and will not include the
            values for any properties for your Deals. Including this parameter
            will include the data for the specified property in the results. You
            can include this parameter multiple times to request multiple
            properties.
          schema:
            type: array
            items:
              type: string
        - name: propertiesWithHistory
          in: query
          required: false
          description: >-
            Works similarly to `properties=`, but this parameter will include
            the history for the specified property, instead of just including
            the current value. Use this parameter when you need the full history
            of changes to a property's value.
          schema:
            type: array
            items:
              type: string
        - name: includeAssociations
          in: query
          required: false
          description: >-
            Include the IDs of the associated contacts and companies in the
            results. This will also automatically include the
            num_associated_contacts property.
          schema:
            type: boolean
        - name: includePropertyVersions
          in: query
          required: false
          description: >-
            By default, you will only get data for the most recent version of a
            property in the "versions" data. If you include this parameter, you
            will get data for all previous versions.
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response - Paginated list of deals
          content:
            application/json:
              schema:
                type: object
                properties:
                  deals:
                    type: array
                    items:
                      type: object
                  hasMore:
                    type: boolean
                  offset:
                    type: integer
      security:
        - oauth2:
            - crm.objects.deals.read
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.deals.read
        - private_apps_legacy: []
components: {}

````